import os

# By default, we attempt to load PySide2 (for RV 7.5.x+)
versionParts = os.environ['TWK_APP_VERSION'].split('.')
if int(versionParts[0]) > 7 or ( versionParts[0] == '7' and int(versionParts[1]) > 4 ):
    from PySide2 import QtGui, QtCore, QtWidgets
    from PySide2.QtGui import *
    from PySide2.QtCore import *
    from PySide2.QtWidgets import *
    from PySide2.QtUiTools import QUiLoader
else:
    from PySide import QtGui, QtCore, QtOpenGL
    from PySide.QtGui import *
    from PySide.QtCore import *
    from PySide.QtUiTools import QUiLoader

from OpenGL.GL import *
from OpenGL.GLUT import *
from OpenGL.GLU import *
import types
import math
import rv
import rv.qtutils

import rvTestUi

class PySideDockTest(rv.rvtypes.MinorMode):
    "A python mode example that uses PySide"
    def __init__(self):
        rv.rvtypes.MinorMode.__init__(self)
        self.init("pyside_example", None, None)

        self.loader = QUiLoader()
        uifile = QFile(os.path.join(self.supportPath(rvTestUi, "rvTestUi"), "untitled.ui"))
        uifile.open(QFile.ReadOnly)
        self.dialog = self.loader.load(uifile)
        uifile.close()
        self.rvSessionQObject = rv.qtutils.sessionWindow()


def createMode():
    "Required to initialize the module. RV will call this function to create your mode."
    return PySideDockTest()
